<!DOCTYPE html>
<html lang="en" dir="ltr" class="boxdrawn-layout">

  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">    
    <meta name="title" content="{{page.title}}">
    <link rel="canonical" href="{{page.permalink}}">
    <meta name="description" content="{{page.summary}}">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

	<title>{{page.title}} | {{page.name}}</title>
	{% include favicons %}
    <link rel="stylesheet" media="all" href="{{ "/css/style.css" | relative_url }}">
	
  </head>

  <body>    

    <main class="layout-container {% if page.no_sidebar == true %}no-sidebar{% endif %}">
			<header>
				<nav class="menu pl-2">
					{% for entry in site.data.side_navigation %}
					{% assign letter = entry.title | slice: 0 %}
					<div class="menu-entry">
						<a href="{{entry.link | relative_url}}" title="{{entry.title}}"><span class="danger">{{letter}}</span>{{entry.title | remove: letter}}</a>
					</div>
					{% endfor %}
				</nav>	
			</header>
			<section class="content-section">
				
				{% if page.no_sidebar == true and page.no_logo != true %}
					<div class="mt-3 mb-5">{% include logo limit="normal" class="no-grow" %}</div>
				{% endif %}

				{% if page.collection == "posts" %}
				<article>

					<header>
					{% if page.imgpath %}
					  {% assign image_description = page.imgdescription|markdownify %}
					  {% include image src=page.imgpath width=page.imgwidth height=page.imgheight alt=page.title description=image_description %}
					{% endif %}
				
					{% if page.tags %}
					<nav id="tags" class="w-100 overflow-hidden">
					  <span class="position-relative float-left mr-2">Tags:</span>
					  {% for tag in page.tags%}
					  <span class="position-relative float-left mr-2"><a href="{{tag | prepend: "/tags/" | downcase | replace: " ", "-" | relative_url }}">{{tag}}</a></span>
					  {% endfor %}
					</nav>
					{% endif %}

					{% if page.title %}
					  <h1 class="page-title">
						<span>{{page.title}}</span>
					  </h1>
					{% endif %}
					</header>

					<section>{{ content }}</section>
					
				</article>
				{% elsif page.collection == "web_logs" %}
					
					{% assign posts = site.posts|where: "web_log", page.name %}
					{% for post in posts %}
						{% assign author = site.authors|where: "name", post.author|first %}
						<section class="preview"> 
						  {% assign image_description = post.imgdescription|markdownify %}
						  {% include image src=post.imgpath width=post.imgwidth height=post.imgheight url=post.url alt=post.title description=image_description %}
						  <div>
							<h2><a href="{{post.url | relative_url}}">{{post.title}}</a></h2>
							<span>by {{author.title}}</span><br>
							{{post.summary}}
						  </div>
						</section>
					{% endfor %}

				{% elsif page.collection == "taxonomy" %}

					<h1 class="page-title">
						<span>Tag: {{page.title}}</span>
					</h1>
					{{content}}

					{% for tag in site.tags %}
						{% if tag[0] == page.name%}
							{% assign tag_posts = tag[1] %}
						{% endif %}
					{% endfor %}

					{% for blog in site.web_logs %}
						<section>
							{% assign posts = tag_posts | where: "web_log", blog.name %}

							{% if posts.size > 0 %}
							<div>
								<div class="flex-row-md flex-column">
									<div class="no-grow">
										{% include {{blog.name}} %}
									</div>
									<div class="y-center text-center">"{{blog.title}}" posts regarding "{{page.title}}"</div>
								</div>
								{{ blog.content }}
							</div>
							{% endif %}

							{% for post in posts %}

							{% assign author = site.authors|where: "name", post.author|first %}
							<section class="preview"> 
								{% assign image_description = post.imgdescription|markdownify %}
								{% include image src=post.imgpath width=post.imgwidth height=post.imgheight url=post.url alt=post.title description=image_description %}
								<div>
									<h2><a href="{{post.url | relative_url}}">{{post.title}}</a></h2>
									<span>by {{author.title}}</span><br>
									{{post.summary}}
								</div>
							</section>

							{% endfor %}
		
						</section>
					{% endfor %}

				{% else %}
					{% if page.title %}
					<h1 class="page-title">
						<span>{{page.title}}</span>
					</h1>
					{% endif %}

					{{content}}
				{% endif %}
				
			</section>


			{% if page.no_sidebar != true %}
				<section class="logo-section">
					{% include logo limit="small" class="no-grow" %}
				</section>
				<aside class="side-section flex-column">
				{% if page.collection == "web_logs" %}
					{% include {{page.name}} mode="slim" class="x-center no-grow" %}
					<div class="x-center no-grow text-center mb-3">
						{{content}}
					</div>
				{% endif %}
				{% if page.web_log %}
					{% assign web_log = site.web_logs|where: "name", page.web_log|first %}
					{% include {{web_log.name}} mode="slim" class="x-center no-grow" %}
					<div class="x-center no-grow text-center mb-3">
						{{web_log.content}}
					</div>
				{% endif %}
				{% include side.html %}
				</aside>
			{% endif %}

			<footer class="bar">
				{% include legal.html %}				
			</footer>
    </main><!-- /.layout-container -->
    
  </body>

</html>
